Bug 862412 - [abrt] yum-utils-1.1.31-4.fc17: sqlutils.py:166:executeSQLQmark:OperationalError: database is locked
[abrt] yum-utils-1.1.31-4.fc17: sqlutils.py:166:executeSQLQmark:OperationalEr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:bb0c5704ce00d0499f6aeb8c857...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 15:55 EDT by Sandro Bonazzola
Modified: 2014-01-21 18:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-10-02 15:55 EDT, Sandro Bonazzola
no flags Details

  None (edit)
Description Sandro Bonazzola 2012-10-02 15:55:29 EDT
Description of problem:
Executing package-cleanup --oldkernels --count=1 while executiong yum distro-sync from another terminal

Version-Release number of selected component:
yum-utils-1.1.31-4.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /bin/package-cleanup --oldkernels --count=1
kernel:         3.5.4-2.fc17.i686.PAE

backtrace:
:sqlutils.py:166:executeSQLQmark:OperationalError: database is locked
:
:Traceback (most recent call last):
:  File "/bin/package-cleanup", line 400, in <module>
:    util = PackageCleanup()
:  File "/bin/package-cleanup", line 60, in __init__
:    self.main()
:  File "/bin/package-cleanup", line 343, in main
:    sys.exit(self.doUtilTransaction())
:  File "/usr/share/yum-cli/utils.py", line 436, in doUtilTransaction
:    return_code = self.doTransaction()
:  File "/usr/share/yum-cli/cli.py", line 658, in doTransaction
:    resultobject = self.runTransaction(cb=cb)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1656, in runTransaction
:    lastdbv = self.history.last()
:  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1265, in last
:    ret = self.old([], 1, complete_transactions_only)
:  File "/usr/lib/python2.7/site-packages/yum/history.py", line 1214, in old
:    executeSQL(cur, sql, params)
:  File "/usr/lib/python2.7/site-packages/yum/sqlutils.py", line 166, in executeSQLQmark
:    return cursor.execute(query)
:OperationalError: database is locked
:
:Local variables in innermost frame:
:cursor: <sqlite3.Cursor object at 0xa102f60>
:query: 'SELECT tid,\n                         trans_beg.timestamp AS beg_ts,\n                         trans_beg.rpmdb_version AS beg_rv,\n                         trans_end.timestamp AS end_ts,\n                         trans_end.rpmdb_version AS end_rv,\n                         loginuid, return_code\n                  FROM trans_beg JOIN trans_end USING(tid) ORDER BY tid DESC LIMIT 1'
:params: None
Comment 1 Sandro Bonazzola 2012-10-02 15:55:32 EDT
Created attachment 620491 [details]
File: event_log
Comment 2 Fedora End Of Life 2013-07-03 22:21:09 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 04:08:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.